رفتن به مطلب
  • 0

پیکربندی نسخه6بیسیک4اندروید برای متریال


sportwtf

سوال

با سلام. همونطور که میدونید برای نسخه 6.00 بیسیک4اندروید و نسخه  AppCompat 3.20 و بالاترش، B4A نیازی به ریسورس ها نداره؛

از این رو میخوام راهنمایی کنید که چطوری B4A نسخه6 رو بدون معرفی ریسورس ها، بتونیم باهاش یک پروژه متریالی رو ران بگیریم. (در صورت توانستن یک سورس متریال ساده رو هم بزارید تا با اون تستش کنیم)

در واقع چطور از 0 نسخه6 بیسیک4اندروید رو برای ران گرفتن پیکربندی کنیم؟

باتشکر.

لینک ارسال
به اشتراک گذاری در سایت های دیگر

ارسال های توصیه شده

نمیتونه aapt.exe رو پیدا کنه 

پیکربندی مسیر هارو انجام بدید

منوی Tools->Configure Paths

اگه تنظیمات موجود هست دوباره آدرس دهی کن شاید درست شد

 

توی پوشه build-tools فایل aapt.exe هست توی پوشه api که نصب کردی

اونو کپی کن تو platform-tools ببین درست نمیشه

لینک ارسال
به اشتراک گذاری در سایت های دیگر

نمیتونه aapt.exe رو پیدا کنه 

پیکربندی مسیر هارو انجام بدید

منوی Tools->Configure Paths

اگه تنظیمات موجود هست دوباره آدرس دهی کن شاید درست شد

 

توی پوشه build-tools فایل aapt.exe هست توی پوشه api که نصب کردی

اونو کپی کن تو platform-tools ببین درست نمیشه

همین کاری رو که گفتید انجام دادم، و ارور فعلی رفع شد، اما بازم ارور زیر رو داد(عکس زیر رو ببینید)

لینک عکس

%D8%A7%D8%B1%D9%88%D8%B1_%D8%AF%D8%B1_%D

ممنون میشم راهنمایی کنید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

همین کاری رو که گفتید انجام دادم، و ارور فعلی رفع شد، اما بازم ارور زیر رو داد(عکس زیر رو ببینید)

لینک عکس

 

ممنون میشم راهنمایی کنید

هنوز کامل نیست عکس زیر رو ببین

1.png

لینک ارسال
به اشتراک گذاری در سایت های دیگر

بهتره مثل من همشو نصب و آپدیت کنی تا خیالت از هر لحاظ راحت بشه و هیچ خطایی نداشته باشی

 

1.JPG

 

2.JPG

لینک ارسال
به اشتراک گذاری در سایت های دیگر

درود

نمونه سورس رو براتون پیوست کردم

اما فقط پوشه object رو حذف کردم....

برنامه خامه خام هستش اما خب متریال هست......

 

موفق باشید

appcompat b4a v6(AnswerCenter.ir).rar

لینک ارسال
به اشتراک گذاری در سایت های دیگر

درود

نمونه سورس رو براتون پیوست کردم

اما فقط پوشه object رو حذف کردم....

برنامه خامه خام هستش اما خب متریال هست......

 

موفق باشید

بسیار بسیار ممنون، اما وقتی بدون هیچ دستکاری، ران میگیرم این ارور زیر رو میده:

لینک عکس

ErrorRunMatrialProject.jpg

به نظرتون برای رفعش چیکار باید انجام بدم؟

لینک ارسال
به اشتراک گذاری در سایت های دیگر

با چه API اجرا میکنید ؟

 

 

  1. In Android SDK-Manager be sure that the "Android SDK Build-tools" 23.0.3 is installed! Deinstall all other versions so 23.0.3 is the only one installed! If you leave older versions of build tools installed your compiled app may work on Android 5.0 and above but it will fail on older Android versions like KitKat.
  2. Make sure that you reference the latest android.jar in the IDE under the "Tools/Configure Paths" menu. Don't worry. The android.jar is only used for compilation. It does not mean that you can't run your app on lower Android Versions.

build-tools نسخه 23.0.3 را دانلود کنید و بقیه نسخه هارا حذف کنید !

لینک دانلود : دانلود

از آخرین API یعنی 23 یا 24 استفاده کنید 

لینک دانلود : دانلود

لینک ارسال
به اشتراک گذاری در سایت های دیگر

سلام به همه.

با API 21

اینو به B4A دادم.

C:\Program Files (x86)\Anywhere Software\android\platforms\android-21\android.jar

 

و اینم کد های مانیفیست:

لینک عکس

Untitled.jpg

لینک ارسال
به اشتراک گذاری در سایت های دیگر

سلام به همه.

از API 21

اینو به B4A دادم.

C:\Program Files (x86)\Anywhere Software\android\platforms\android-21\android.jar

 

و اینم کد های مانیفیست:

لینک عکس

Untitled.jpg

شما api 23 رو دانلود و استفاده کنید و اینجا در خط 5 به جای عدد 19 عدد 21 یا بالاتر قرار بدید.

لینک ارسال
به اشتراک گذاری در سایت های دیگر

شما api 23 رو دانلود و استفاده کنید و اینجا در خط 5 به جای عدد 19 عدد 21 یا بالاتر قرار بدید.

میبخشید، ولی ابتدا یک سوال بپرسم، بعدش دانلود و نتیجه رو میگم.

سوال: مگر API 21 لالیپاپ، و اندرید5.0 نیست؟ و اندروید5.0 هم متریال هست. پس اگر ممکنه به نظرتون چرا با API 21 نمیتونم از پروژه ران بگیرم؟

لینک ارسال
به اشتراک گذاری در سایت های دیگر

میبخشید، ولی ابتدا یک سوال بپرسم، بعدش دانلود و نتیجه رو میگم.

سوال: مگر API 21 لالیپاپ، و اندرید5.0 نیست؟ و اندروید5.0 هم متریال هست. پس اگر ممکنه به نظرتون چرا با API 21 نمیتونم از پروژه ران بگیرم؟

متر یال نیاز به api بالای 21 یا 22 که دقیق یادم نیست داره.

لینک ارسال
به اشتراک گذاری در سایت های دیگر

برای استقاده از appcompat v3 تو b4av6 باید api23 & 24 رو دانلود کنید و sdk رو آپدیت کنید تا استفاده کنید

لینک ارسال
به اشتراک گذاری در سایت های دیگر

OK زدم API 23 دانلود بشه، حجمش 67مگ چقد زیاد!! بعد اینکه دانلود شد، تست میکنم و نتیجه رو میگم ممنون از همه

لینک ارسال
به اشتراک گذاری در سایت های دیگر

  API 23 رو دانلود کردم و به B4A معرفیش هم کردم(عکس زیر رو ببینید:)

لینک عکس

MOshakhasat.jpg

 

و کد مانیفست رو همونطور که گفتید تغییر دادم(عکس زیر رو ببینید)

لینک عکس

Manifaist_Cods.jpg

 

و باز هم انگار نه انگار که API و کد مانیفیست عوض شدن... و ارور زیر رو داد :gerye: (عکس زیر رو ببینید)

لینک عکس

ERRORRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR

 

لطفا برای رفع ارور راهنمایی کنید بازم ممون./.

لینک ارسال
به اشتراک گذاری در سایت های دیگر

  API 23 رو دانلود کردم و به B4A معرفیش هم کردم(عکس زیر رو ببینید :)

لینک عکس

MOshakhasat.jpg

 

و کد مانیفست رو همونطور که گفتید تغییر دادم(عکس زیر رو ببینید)

لینک عکس

Manifaist_Cods.jpg

 

و باز هم انگار نه انگار که API و کد مانیفیست عوض شدن... و ارور زیر رو داد :gerye: (عکس زیر رو ببینید)

لینک عکس

ERRORRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR

 

لطفا برای رفع ارور راهنمایی کنید بازم ممون./.

حالا مطمئنید نسخه b4a تون 6 هست؟

لینک ارسال
به اشتراک گذاری در سایت های دیگر

با چه API اجرا میکنید ؟

build-tools نسخه 23.0.3 را دانلود کنید و بقیه نسخه هارا حذف کنید !

لینک دانلود : دانلود

از آخرین API یعنی 23 یا 24 استفاده کنید 

لینک دانلود : دانلود

میبخشید، اصلا build-tools چیه؟ و  در کجا قرار داره؟؟

پوشه SDK ی من اصلا چیزی به اسم build-tools داخلش نیست!

اینم از محتویات پوشه SDK من،(عکس زیر رو ببینید) 

لینک عکس

SDK.jpg

لینک ارسال
به اشتراک گذاری در سایت های دیگر

میبخشید، ولی ابتدا یک سوال بپرسم، بعدش دانلود و نتیجه رو میگم.

سوال: مگر API 21 لالیپاپ، و اندرید5.0 نیست؟ و اندروید5.0 هم متریال هست. پس اگر ممکنه به نظرتون چرا با API 21 نمیتونم از پروژه ران بگیرم؟

 sdk تون دقیقا اینجوری هست که گفتم؟ توی تاپیک ببینید درضمن توی مانیفست 21 رو 23 کنید http://answercenter.ir/topic/15272-ارور-در-مترایل-دیزاین-support/

حالا مطمئنید نسخه b4a تون 6 هست؟

در عکس مشخصه نسخه 6 هستش اسپم ندید :cheshmak: 

لینک ارسال
به اشتراک گذاری در سایت های دیگر

میبخشید، اصلا build-tools چیه؟ و  در کجا قرار داره؟؟

پوشه SDK ی من اصلا چیزی به اسم build-tools داخلش نیست!

اینم از محتویات پوشه SDK من،(عکس زیر رو ببینید) 

لینک عکس

SDK.jpg

ابزاری هست که اگه نداشته باشیدش به مشکل بر میخورید! اس دی کی رو باز کنید و دانلودش کنید :wacko1:  http://http://answercenter.ir/topic/15272-ارور-در-مترایل-دیزاین-support/

لینک ارسال
به اشتراک گذاری در سایت های دیگر

حالا مطمئنید نسخه b4a تون 6 هست؟

آره 100% - همین امروز نصبش کردم. و همین الان هم روفتم به بخش Help -----> About و پیام زیر رو داد.(عکس زیر رو ببینید.)

لینک عکس

B4A_V6.jpg

لینک ارسال
به اشتراک گذاری در سایت های دیگر

آره 100% - همین امروز نصبش کردم. و همین الان هم روفتم به بخش Help -----> About و پیام زیر رو داد.(عکس زیر رو ببینید.)

لینک عکس

B4A_V6.jpg

کارایی که گفتم انجام بدید اسپم ندید بنده جواب اون کاربر رو دادم!

لینک ارسال
به اشتراک گذاری در سایت های دیگر

بایگانی شده

این موضوع بایگانی و قفل شده و دیگر امکان ارسال پاسخ نیست.

مهمان
این موضوع برای عدم ارسال قفل گردیده است.
  • کاربران آنلاین در این صفحه   0 کاربر

    • هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.
×
×
  • اضافه کردن...